aboutsummaryrefslogtreecommitdiff
path: root/src/pdnsd/rc.d
diff options
context:
space:
mode:
Diffstat (limited to 'src/pdnsd/rc.d')
-rwxr-xr-xsrc/pdnsd/rc.d37
1 files changed, 37 insertions, 0 deletions
diff --git a/src/pdnsd/rc.d b/src/pdnsd/rc.d
new file mode 100755
index 0000000..34a541d
--- /dev/null
+++ b/src/pdnsd/rc.d
@@ -0,0 +1,37 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+PID=`pidof -o %PPID /usr/sbin/pdnsd`
+case "$1" in
+ start)
+ stat_busy "Starting pdnsd Daemon"
+ if [ -z "$PID" ]; then
+ /usr/sbin/pdnsd -d
+ fi
+ if [ ! -z "$PID" -o $? -gt 0 ]; then
+ stat_fail
+ else
+ add_daemon pdnsd
+ stat_done
+ fi
+ ;;
+ stop)
+ stat_busy "Stopping pdnsd Daemon"
+ [ ! -z "$PID" ] && kill -TERM $PID &> /dev/null
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ rm_daemon pdnsd
+ stat_done
+ fi
+ ;;
+ restart)
+ $0 stop
+ sleep 1
+ $0 start
+ ;;
+ *)
+ echo "usage: $0 {start|stop|restart}"
+esac